/*
 *     Copyright (C) 2024 Mateus Rodrigues Costa
 *
 *     This program is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU Affero General Public License as
 *     published by the Free Software Foundation, either version 3 of the
 *     License, or (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU Affero General Public License for more details.
 *
 *     You should have received a copy of the GNU Affero General Public License
 *     along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package com.mateusrodcosta.apps.share2storage.ui.theme

import androidx.compose.ui.graphics.Color

val primaryLight = Color(0xFF256A4A)
val onPrimaryLight = Color(0xFFFFFFFF)
val primaryContainerLight = Color(0xFFABF2C9)
val onPrimaryContainerLight = Color(0xFF002112)
val secondaryLight = Color(0xFF4D6356)
val onSecondaryLight = Color(0xFFFFFFFF)
val secondaryContainerLight = Color(0xFFD0E8D7)
val onSecondaryContainerLight = Color(0xFF0B1F15)
val tertiaryLight = Color(0xFF3C6472)
val onTertiaryLight = Color(0xFFFFFFFF)
val tertiaryContainerLight = Color(0xFFC0E9FA)
val onTertiaryContainerLight = Color(0xFF001F28)
val errorLight = Color(0xFFBA1A1A)
val onErrorLight = Color(0xFFFFFFFF)
val errorContainerLight = Color(0xFFFFDAD6)
val onErrorContainerLight = Color(0xFF410002)
val backgroundLight = Color(0xFFF5FBF4)
val onBackgroundLight = Color(0xFF171D19)
val surfaceLight = Color(0xFFF5FBF4)
val onSurfaceLight = Color(0xFF171D19)
val surfaceVariantLight = Color(0xFFDCE5DC)
val onSurfaceVariantLight = Color(0xFF404943)
val outlineLight = Color(0xFF707972)
val outlineVariantLight = Color(0xFFC0C9C1)
val scrimLight = Color(0xFF000000)
val inverseSurfaceLight = Color(0xFF2C322E)
val inverseOnSurfaceLight = Color(0xFFEDF2EC)
val inversePrimaryLight = Color(0xFF90D5AE)
val surfaceDimLight = Color(0xFFD6DBD5)
val surfaceBrightLight = Color(0xFFF5FBF4)
val surfaceContainerLowestLight = Color(0xFFFFFFFF)
val surfaceContainerLowLight = Color(0xFFF0F5EF)
val surfaceContainerLight = Color(0xFFEAEFE9)
val surfaceContainerHighLight = Color(0xFFE4EAE3)
val surfaceContainerHighestLight = Color(0xFFDEE4DE)

val primaryLightMediumContrast = Color(0xFF004D31)
val onPrimaryLightMediumContrast = Color(0xFFFFFFFF)
val primaryContainerLightMediumContrast = Color(0xFF3E8160)
val onPrimaryContainerLightMediumContrast = Color(0xFFFFFFFF)
val secondaryLightMediumContrast = Color(0xFF32473B)
val onSecondaryLightMediumContrast = Color(0xFFFFFFFF)
val secondaryContainerLightMediumContrast = Color(0xFF637A6B)
val onSecondaryContainerLightMediumContrast = Color(0xFFFFFFFF)
val tertiaryLightMediumContrast = Color(0xFF1E4855)
val onTertiaryLightMediumContrast = Color(0xFFFFFFFF)
val tertiaryContainerLightMediumContrast = Color(0xFF537A89)
val onTertiaryContainerLightMediumContrast = Color(0xFFFFFFFF)
val errorLightMediumContrast = Color(0xFF8C0009)
val onErrorLightMediumContrast = Color(0xFFFFFFFF)
val errorContainerLightMediumContrast = Color(0xFFDA342E)
val onErrorContainerLightMediumContrast = Color(0xFFFFFFFF)
val backgroundLightMediumContrast = Color(0xFFF5FBF4)
val onBackgroundLightMediumContrast = Color(0xFF171D19)
val surfaceLightMediumContrast = Color(0xFFF5FBF4)
val onSurfaceLightMediumContrast = Color(0xFF171D19)
val surfaceVariantLightMediumContrast = Color(0xFFDCE5DC)
val onSurfaceVariantLightMediumContrast = Color(0xFF3C453F)
val outlineLightMediumContrast = Color(0xFF58615B)
val outlineVariantLightMediumContrast = Color(0xFF747D76)
val scrimLightMediumContrast = Color(0xFF000000)
val inverseSurfaceLightMediumContrast = Color(0xFF2C322E)
val inverseOnSurfaceLightMediumContrast = Color(0xFFEDF2EC)
val inversePrimaryLightMediumContrast = Color(0xFF90D5AE)
val surfaceDimLightMediumContrast = Color(0xFFD6DBD5)
val surfaceBrightLightMediumContrast = Color(0xFFF5FBF4)
val surfaceContainerLowestLightMediumContrast = Color(0xFFFFFFFF)
val surfaceContainerLowLightMediumContrast = Color(0xFFF0F5EF)
val surfaceContainerLightMediumContrast = Color(0xFFEAEFE9)
val surfaceContainerHighLightMediumContrast = Color(0xFFE4EAE3)
val surfaceContainerHighestLightMediumContrast = Color(0xFFDEE4DE)

val primaryLightHighContrast = Color(0xFF002818)
val onPrimaryLightHighContrast = Color(0xFFFFFFFF)
val primaryContainerLightHighContrast = Color(0xFF004D31)
val onPrimaryContainerLightHighContrast = Color(0xFFFFFFFF)
val secondaryLightHighContrast = Color(0xFF12261B)
val onSecondaryLightHighContrast = Color(0xFFFFFFFF)
val secondaryContainerLightHighContrast = Color(0xFF32473B)
val onSecondaryContainerLightHighContrast = Color(0xFFFFFFFF)
val tertiaryLightHighContrast = Color(0xFF002631)
val onTertiaryLightHighContrast = Color(0xFFFFFFFF)
val tertiaryContainerLightHighContrast = Color(0xFF1E4855)
val onTertiaryContainerLightHighContrast = Color(0xFFFFFFFF)
val errorLightHighContrast = Color(0xFF4E0002)
val onErrorLightHighContrast = Color(0xFFFFFFFF)
val errorContainerLightHighContrast = Color(0xFF8C0009)
val onErrorContainerLightHighContrast = Color(0xFFFFFFFF)
val backgroundLightHighContrast = Color(0xFFF5FBF4)
val onBackgroundLightHighContrast = Color(0xFF171D19)
val surfaceLightHighContrast = Color(0xFFF5FBF4)
val onSurfaceLightHighContrast = Color(0xFF000000)
val surfaceVariantLightHighContrast = Color(0xFFDCE5DC)
val onSurfaceVariantLightHighContrast = Color(0xFF1E2621)
val outlineLightHighContrast = Color(0xFF3C453F)
val outlineVariantLightHighContrast = Color(0xFF3C453F)
val scrimLightHighContrast = Color(0xFF000000)
val inverseSurfaceLightHighContrast = Color(0xFF2C322E)
val inverseOnSurfaceLightHighContrast = Color(0xFFFFFFFF)
val inversePrimaryLightHighContrast = Color(0xFFB5FCD2)
val surfaceDimLightHighContrast = Color(0xFFD6DBD5)
val surfaceBrightLightHighContrast = Color(0xFFF5FBF4)
val surfaceContainerLowestLightHighContrast = Color(0xFFFFFFFF)
val surfaceContainerLowLightHighContrast = Color(0xFFF0F5EF)
val surfaceContainerLightHighContrast = Color(0xFFEAEFE9)
val surfaceContainerHighLightHighContrast = Color(0xFFE4EAE3)
val surfaceContainerHighestLightHighContrast = Color(0xFFDEE4DE)

val primaryDark = Color(0xFF90D5AE)
val onPrimaryDark = Color(0xFF003823)
val primaryContainerDark = Color(0xFF005234)
val onPrimaryContainerDark = Color(0xFFABF2C9)
val secondaryDark = Color(0xFFB4CCBC)
val onSecondaryDark = Color(0xFF203529)
val secondaryContainerDark = Color(0xFF364B3F)
val onSecondaryContainerDark = Color(0xFFD0E8D7)
val tertiaryDark = Color(0xFFA4CDDD)
val onTertiaryDark = Color(0xFF053542)
val tertiaryContainerDark = Color(0xFF234C59)
val onTertiaryContainerDark = Color(0xFFC0E9FA)
val errorDark = Color(0xFFFFB4AB)
val onErrorDark = Color(0xFF690005)
val errorContainerDark = Color(0xFF93000A)
val onErrorContainerDark = Color(0xFFFFDAD6)
val backgroundDark = Color(0xFF0F1511)
val onBackgroundDark = Color(0xFFDEE4DE)
val surfaceDark = Color(0xFF0F1511)
val onSurfaceDark = Color(0xFFDEE4DE)
val surfaceVariantDark = Color(0xFF404943)
val onSurfaceVariantDark = Color(0xFFC0C9C1)
val outlineDark = Color(0xFF8A938C)
val outlineVariantDark = Color(0xFF404943)
val scrimDark = Color(0xFF000000)
val inverseSurfaceDark = Color(0xFFDEE4DE)
val inverseOnSurfaceDark = Color(0xFF2C322E)
val inversePrimaryDark = Color(0xFF256A4A)
val surfaceDimDark = Color(0xFF0F1511)
val surfaceBrightDark = Color(0xFF353B36)
val surfaceContainerLowestDark = Color(0xFF0A0F0C)
val surfaceContainerLowDark = Color(0xFF171D19)
val surfaceContainerDark = Color(0xFF1B211D)
val surfaceContainerHighDark = Color(0xFF262B27)
val surfaceContainerHighestDark = Color(0xFF303632)

val primaryDarkMediumContrast = Color(0xFF94DAB2)
val onPrimaryDarkMediumContrast = Color(0xFF001B0E)
val primaryContainerDarkMediumContrast = Color(0xFF5B9E7B)
val onPrimaryContainerDarkMediumContrast = Color(0xFF000000)
val secondaryDarkMediumContrast = Color(0xFFB8D1C0)
val onSecondaryDarkMediumContrast = Color(0xFF061A10)
val secondaryContainerDarkMediumContrast = Color(0xFF7F9687)
val onSecondaryContainerDarkMediumContrast = Color(0xFF000000)
val tertiaryDarkMediumContrast = Color(0xFFA8D1E1)
val onTertiaryDarkMediumContrast = Color(0xFF001921)
val tertiaryContainerDarkMediumContrast = Color(0xFF6F97A6)
val onTertiaryContainerDarkMediumContrast = Color(0xFF000000)
val errorDarkMediumContrast = Color(0xFFFFBAB1)
val onErrorDarkMediumContrast = Color(0xFF370001)
val errorContainerDarkMediumContrast = Color(0xFFFF5449)
val onErrorContainerDarkMediumContrast = Color(0xFF000000)
val backgroundDarkMediumContrast = Color(0xFF0F1511)
val onBackgroundDarkMediumContrast = Color(0xFFDEE4DE)
val surfaceDarkMediumContrast = Color(0xFF0F1511)
val onSurfaceDarkMediumContrast = Color(0xFFF7FCF6)
val surfaceVariantDarkMediumContrast = Color(0xFF404943)
val onSurfaceVariantDarkMediumContrast = Color(0xFFC4CDC5)
val outlineDarkMediumContrast = Color(0xFF9CA59E)
val outlineVariantDarkMediumContrast = Color(0xFF7C857E)
val scrimDarkMediumContrast = Color(0xFF000000)
val inverseSurfaceDarkMediumContrast = Color(0xFFDEE4DE)
val inverseOnSurfaceDarkMediumContrast = Color(0xFF262B27)
val inversePrimaryDarkMediumContrast = Color(0xFF025335)
val surfaceDimDarkMediumContrast = Color(0xFF0F1511)
val surfaceBrightDarkMediumContrast = Color(0xFF353B36)
val surfaceContainerLowestDarkMediumContrast = Color(0xFF0A0F0C)
val surfaceContainerLowDarkMediumContrast = Color(0xFF171D19)
val surfaceContainerDarkMediumContrast = Color(0xFF1B211D)
val surfaceContainerHighDarkMediumContrast = Color(0xFF262B27)
val surfaceContainerHighestDarkMediumContrast = Color(0xFF303632)

val primaryDarkHighContrast = Color(0xFFEEFFF2)
val onPrimaryDarkHighContrast = Color(0xFF000000)
val primaryContainerDarkHighContrast = Color(0xFF94DAB2)
val onPrimaryContainerDarkHighContrast = Color(0xFF000000)
val secondaryDarkHighContrast = Color(0xFFEEFFF2)
val onSecondaryDarkHighContrast = Color(0xFF000000)
val secondaryContainerDarkHighContrast = Color(0xFFB8D1C0)
val onSecondaryContainerDarkHighContrast = Color(0xFF000000)
val tertiaryDarkHighContrast = Color(0xFFF6FCFF)
val onTertiaryDarkHighContrast = Color(0xFF000000)
val tertiaryContainerDarkHighContrast = Color(0xFFA8D1E1)
val onTertiaryContainerDarkHighContrast = Color(0xFF000000)
val errorDarkHighContrast = Color(0xFFFFF9F9)
val onErrorDarkHighContrast = Color(0xFF000000)
val errorContainerDarkHighContrast = Color(0xFFFFBAB1)
val onErrorContainerDarkHighContrast = Color(0xFF000000)
val backgroundDarkHighContrast = Color(0xFF0F1511)
val onBackgroundDarkHighContrast = Color(0xFFDEE4DE)
val surfaceDarkHighContrast = Color(0xFF0F1511)
val onSurfaceDarkHighContrast = Color(0xFFFFFFFF)
val surfaceVariantDarkHighContrast = Color(0xFF404943)
val onSurfaceVariantDarkHighContrast = Color(0xFFF4FDF4)
val outlineDarkHighContrast = Color(0xFFC4CDC5)
val outlineVariantDarkHighContrast = Color(0xFFC4CDC5)
val scrimDarkHighContrast = Color(0xFF000000)
val inverseSurfaceDarkHighContrast = Color(0xFFDEE4DE)
val inverseOnSurfaceDarkHighContrast = Color(0xFF000000)
val inversePrimaryDarkHighContrast = Color(0xFF00311E)
val surfaceDimDarkHighContrast = Color(0xFF0F1511)
val surfaceBrightDarkHighContrast = Color(0xFF353B36)
val surfaceContainerLowestDarkHighContrast = Color(0xFF0A0F0C)
val surfaceContainerLowDarkHighContrast = Color(0xFF171D19)
val surfaceContainerDarkHighContrast = Color(0xFF1B211D)
val surfaceContainerHighDarkHighContrast = Color(0xFF262B27)
val surfaceContainerHighestDarkHighContrast = Color(0xFF303632)
